## org.apache.zookeeper
Enum ZooKeeper.States

    java.lang.Object
      java.lang.Enum<ZooKeeper.States>
          org.apache.zookeeper.ZooKeeper.States

All Implemented Interfaces:
  Serializable, Comparable<ZooKeeper.States>

Enclosing class:
  ZooKeeper

    public static enum ZooKeeper.States

extends Enum<ZooKeeper.States>

Enum Constant Summary
`ASSOCIATING`
`AUTH_FAILED`
`CLOSED`
`CONNECTED`
`CONNECTING`

Method Summary
`boolean` `isAlive()`
`static ZooKeeper.States` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ZooKeeper.States[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONNECTING

    public static final ZooKeeper.States CONNECTING

### ASSOCIATING

    public static final ZooKeeper.States ASSOCIATING

### CONNECTED

    public static final ZooKeeper.States CONNECTED

### CLOSED

    public static final ZooKeeper.States CLOSED

### AUTH_FAILED

    public static final ZooKeeper.States AUTH_FAILED

Method Detail

### values

    public static ZooKeeper.States[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ZooKeeper.States c : ZooKeeper.States.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ZooKeeper.States valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isAlive

    public boolean isAlive()

Copyright © 2012 The Apache Software Foundation